uniform float u_opacity;
uniform vec4 u_color;

varying vec2 v_texCoord;
varying vec2 v_animatedTexCoord;

void main()
{
    vec4 colorGlow = texture2D(CC_Texture1, v_texCoord);
    vec4 colorOverlay = texture2D(CC_Texture2, v_texCoord);
    vec4 colorAnimated = texture2D(CC_Texture3, v_animatedTexCoord);
    gl_FragColor = (colorGlow * u_color + colorOverlay + colorAnimated) * u_opacity ;
}
	